Skip to main content
GET
/
v1
/
annotation-queues
/
{queueId}
Get annotation queue
curl --request GET \
  --url https://api.agentmark.co/v1/annotation-queues/{queueId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": {
    "app_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "instructions": "<string>",
    "name": "<string>",
    "reviewers_required": 2,
    "score_config_names": [
      "<string>"
    ],
    "status": "active",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Headers

X-Agentmark-App-Id
string
required

Application ID for tenant scoping.

Path Parameters

queueId
string<uuid>
required

Response

Queue detail.

data
object
required